List general ledger lines
curl --request GET \
--url https://api.dualentry.com/public/v1/general_ledger/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v1/general_ledger/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v1/general_ledger/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dualentry.com/public/v1/general_ledger/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualentry.com/public/v1/general_ledger/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dualentry.com/public/v1/general_ledger/")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dualentry.com/public/v1/general_ledger/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"line_id": "<string>",
"entry_id": 123,
"transaction_id": 123,
"account_id": 123,
"company_id": 123,
"transaction_record_id": 123,
"offset_entry_id": 123,
"account_code": "<string>",
"account_number": "<string>",
"account_name": "<string>",
"account_type": "<string>",
"account_category": "<string>",
"account_hierarchy_1": "<string>",
"account_hierarchy_2": "<string>",
"account_hierarchy_3": "<string>",
"account_hierarchy_4": "<string>",
"account_hierarchy_5": "<string>",
"company_name": "<string>",
"entity": "<string>",
"company_is_elimination": true,
"transaction_type": "<string>",
"doc": "<string>",
"posting_date": "2023-12-25",
"accounting_date": "2023-12-25",
"transaction_date": "2023-12-25",
"period": "2023-12-25",
"name": "<string>",
"counterparty": "<string>",
"memo": "<string>",
"line_memo": "<string>",
"reference_number": "<string>",
"check_number": "<string>",
"offset_account_number": "<string>",
"offset_account_name": "<string>",
"offset_account_is_split": true,
"currency_iso_4217_code": "<string>",
"base_currency": "<string>",
"entity_currency": "<string>",
"transaction_currency": "<string>",
"exchange_rate": "<string>",
"amount": "<string>",
"company_base_amount": "<string>",
"transaction_currency_amount": "<string>",
"direction": 123,
"debit": "<string>",
"credit": "<string>",
"total": "<string>",
"customer_id": 123,
"customer_name": "<string>",
"customer_unique_id": "<string>",
"vendor_id": 123,
"vendor_name": "<string>",
"line_customer_id": 123,
"line_customer_name": "<string>",
"line_customer_unique_id": "<string>",
"line_vendor_id": 123,
"line_vendor_name": "<string>",
"classifications": "<string>",
"custom_fields": "<string>",
"created_date": "2023-12-25",
"modified_date": "2023-12-25",
"created_by": "<string>",
"last_approved_by": "<string>",
"last_approved_date": "2023-12-25",
"ship_to_address_line1": "<string>",
"ship_to_address_line2": "<string>",
"ship_to_city": "<string>",
"ship_to_state": "<string>",
"ship_to_zip": "<string>",
"ship_to_country": "<string>",
"is_billable": true,
"billable_customer_name": "<string>",
"billable_project_name": "<string>",
"billable_status": "<string>",
"billable_invoice_number": "<string>",
"billable_invoice_id": 123,
"billable_source_company_name": "<string>",
"billable_ar_company_name": "<string>",
"intercompany_invoice_id": 123,
"intercompany_invoice_number": "<string>",
"is_adjusting_entry": true,
"is_intercompany": true,
"eliminated": true
}
],
"next_cursor": "<string>"
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}Reporting
List general ledger lines (v1)
Posted general-ledger entry lines for the organization, same columns as the general_ledger table in your data export.
GET
/
public
/
v1
/
general_ledger
/
List general ledger lines
curl --request GET \
--url https://api.dualentry.com/public/v1/general_ledger/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v1/general_ledger/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v1/general_ledger/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dualentry.com/public/v1/general_ledger/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualentry.com/public/v1/general_ledger/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dualentry.com/public/v1/general_ledger/")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dualentry.com/public/v1/general_ledger/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"items": [
{
"line_id": "<string>",
"entry_id": 123,
"transaction_id": 123,
"account_id": 123,
"company_id": 123,
"transaction_record_id": 123,
"offset_entry_id": 123,
"account_code": "<string>",
"account_number": "<string>",
"account_name": "<string>",
"account_type": "<string>",
"account_category": "<string>",
"account_hierarchy_1": "<string>",
"account_hierarchy_2": "<string>",
"account_hierarchy_3": "<string>",
"account_hierarchy_4": "<string>",
"account_hierarchy_5": "<string>",
"company_name": "<string>",
"entity": "<string>",
"company_is_elimination": true,
"transaction_type": "<string>",
"doc": "<string>",
"posting_date": "2023-12-25",
"accounting_date": "2023-12-25",
"transaction_date": "2023-12-25",
"period": "2023-12-25",
"name": "<string>",
"counterparty": "<string>",
"memo": "<string>",
"line_memo": "<string>",
"reference_number": "<string>",
"check_number": "<string>",
"offset_account_number": "<string>",
"offset_account_name": "<string>",
"offset_account_is_split": true,
"currency_iso_4217_code": "<string>",
"base_currency": "<string>",
"entity_currency": "<string>",
"transaction_currency": "<string>",
"exchange_rate": "<string>",
"amount": "<string>",
"company_base_amount": "<string>",
"transaction_currency_amount": "<string>",
"direction": 123,
"debit": "<string>",
"credit": "<string>",
"total": "<string>",
"customer_id": 123,
"customer_name": "<string>",
"customer_unique_id": "<string>",
"vendor_id": 123,
"vendor_name": "<string>",
"line_customer_id": 123,
"line_customer_name": "<string>",
"line_customer_unique_id": "<string>",
"line_vendor_id": 123,
"line_vendor_name": "<string>",
"classifications": "<string>",
"custom_fields": "<string>",
"created_date": "2023-12-25",
"modified_date": "2023-12-25",
"created_by": "<string>",
"last_approved_by": "<string>",
"last_approved_date": "2023-12-25",
"ship_to_address_line1": "<string>",
"ship_to_address_line2": "<string>",
"ship_to_city": "<string>",
"ship_to_state": "<string>",
"ship_to_zip": "<string>",
"ship_to_country": "<string>",
"is_billable": true,
"billable_customer_name": "<string>",
"billable_project_name": "<string>",
"billable_status": "<string>",
"billable_invoice_number": "<string>",
"billable_invoice_id": 123,
"billable_source_company_name": "<string>",
"billable_ar_company_name": "<string>",
"intercompany_invoice_id": 123,
"intercompany_invoice_number": "<string>",
"is_adjusting_entry": true,
"is_intercompany": true,
"eliminated": true
}
],
"next_cursor": "<string>"
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}Ordered by entry id. Page with the opaque
cursor / next_cursor pair; do not use offset. A walk includes lines already posted when you request the first page. Postings made after that show up when you omit cursor and start again.Authorizations
Query Parameters
Number of rows to return (capped at 100)
Required range:
1 <= x <= 100Opaque cursor from a previous response's next_cursor. Omit for the first page.
Was this page helpful?